/*********************************************************************************************************************************
 * Autorskie Prawa Majątkowe - Moose Spółka z ograniczoną odpowiedzialnością
 *
 * Copyright 2017 Moose Spółka z ograniczoną odpowiedzialnością
 ********************************************************************************************************************************/

package eu.mooseinc.dell.form.dao.impl;

import eu.mooseinc.dell.form.dao.MembershipTypeDao;
import eu.mooseinc.dell.form.dao.impl.base.AbstractDao;
import eu.mooseinc.dell.form.entity.MembershipType;
import eu.mooseinc.dell.form.entity.query.MembershipTypeQueries.GetMembershipTypesQuery;
import eu.mooseinc.dell.form.type.Entity;
import java.util.List;
import org.hibernate.query.Query;
import org.springframework.stereotype.Repository;

/**
 * DAO implementation for entity {@link MembershipType}
 */
@Repository
public class MembershipTypeDaoImpl extends AbstractDao<MembershipType> implements MembershipTypeDao {
	/**
	 * Constructor.
	 */
	public MembershipTypeDaoImpl() {
		super(Entity.MEMBERSHIP_TYPE);
	}

	@Override
	public List<MembershipType> getMembershipTypes() {
		final Query<MembershipType> query = createNamedQuery(GetMembershipTypesQuery.NAME);
		return query.getResultList();
	}
}
