/*********************************************************************************************************************************
 * Autorskie Prawa Majątkowe - Moose Spółka z ograniczoną odpowiedzialnością
 *
 * Copyright 2017 Moose Spółka z ograniczoną odpowiedzialnością
 ********************************************************************************************************************************/

package eu.mooseinc.dell.form.service;

import eu.mooseinc.dell.form.entity.Registration;
import eu.mooseinc.dell.form.exception.ObjectNotFoundException;
import eu.mooseinc.dell.form.exception.ServiceException;

/**
 * Registration service interface.
 */
public interface RegistrationService {
	/**
	 * Send registration request as e-mail.
	 *
	 * @param registration registration data.
	 *
	 * @return registration data.
	 *
	 * @throws ObjectNotFoundException jeśli nie odnaleziono segmentu rynku.
	 * @throws ServiceException jeśli wystąpi błąd podczas wysyłania wiadomości.
	 */
	Registration sendRegistration(Registration registration) throws ObjectNotFoundException,
			ServiceException;

}
