/*********************************************************************************************************************************
 * Autorskie Prawa Majątkowe - Moose Spółka z ograniczoną odpowiedzialnością
 *
 * Copyright 2017 Moose Spółka z ograniczoną odpowiedzialnością
 ********************************************************************************************************************************/

package eu.mooseinc.dell.form.service.impl;

import com.google.common.base.Preconditions;
import eu.mooseinc.dell.form.dao.MembershipTypeDao;
import eu.mooseinc.dell.form.entity.MembershipType;
import eu.mooseinc.dell.form.exception.ObjectNotFoundException;
import eu.mooseinc.dell.form.service.MembershipTypeService;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * Membership type service implementation.
 */
@Service
public class MembershipTypeServiceImpl implements MembershipTypeService {

	@Autowired
	MembershipTypeDao membershipTypeDao;

	@Override
	@Transactional(readOnly = true)
	public List<MembershipType> getMembershipTypes() {
		try {
			return membershipTypeDao.getMembershipTypes();
		}
		catch (Exception e) {
			return null;
		}

	}

	@Override
	@Transactional(readOnly = true)
	public MembershipType findMembershipType(final Long id) {
		Preconditions.checkArgument(id != null);
		try {
			return membershipTypeDao.get(id);
		}
		catch (ObjectNotFoundException e) {
			return null;
		}
	}
}
