/*********************************************************************************************************************************
 * Autorskie Prawa Majątkowe - Moose Spółka z ograniczoną odpowiedzialnością
 *
 * Copyright 2017 Moose Spółka z ograniczoną odpowiedzialnością
 ********************************************************************************************************************************/

package eu.mooseinc.dell.form.web.conversion;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;
import org.springframework.format.Formatter;
import org.springframework.stereotype.Component;

/**
 * Date formatter
 */
@Component
public class DateFormatter implements Formatter<Date> {
	/**
	 * Date format.
	 */
	private static final String DATE_FORMAT = "dd-MM-yyyy";

	@Override
	public Date parse(String text, Locale locale) throws ParseException {
		final DateFormat format = new SimpleDateFormat(DATE_FORMAT);
		return format.parse(text);
	}

	@Override
	public String print(Date object, Locale locale) {
		final DateFormat format = new SimpleDateFormat(DATE_FORMAT);
		format.setLenient(false);
		return format.format(object);
	}
}
