/*********************************************************************************************************************************
 * Autorskie Prawa Majątkowe - Moose Spółka z ograniczoną odpowiedzialnością
 *
 * Copyright 2017 Moose Spółka z ograniczoną odpowiedzialnością
 ********************************************************************************************************************************/

package eu.mooseinc.dell.form.web.conversion;

import eu.mooseinc.dell.form.entity.MembershipType;
import eu.mooseinc.dell.form.service.MembershipTypeService;
import java.text.ParseException;
import java.util.Locale;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.format.Formatter;
import org.springframework.stereotype.Component;

/**
 * Formatter for Membership Type
 */
@Component
public class MembershipTypeFormatter implements Formatter<MembershipType> {

	@Autowired
	private MembershipTypeService membershipTypeService;

	@Override
	public MembershipType parse(String text, Locale locale) throws ParseException {
		final Long marketSegmentId = Long.valueOf(text);
		return membershipTypeService.findMembershipType(marketSegmentId);
	}

	@Override
	public String print(MembershipType membershipType, Locale locale) {
		return membershipType != null ? membershipType.getId().toString() : StringUtils.EMPTY;
	}
}
